Bug 1918471 - CustomNoUpgrade Feature gates are not working correctly
Summary: CustomNoUpgrade Feature gates are not working correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 20:03 UTC by Ryan Phillips
Modified: 2021-02-24 15:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2352 0 None closed Bug 1918471: fix custom featuregates and add a unit test 2021-02-15 09:50:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:35 UTC

Description Ryan Phillips 2021-01-20 20:03:45 UTC
Description of problem:
CustomNoUpgrade Feature Gates are not getting applied to the system correctly. The MCO errors out with an ignition error.

Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
Apply:

apiVersion: config.openshift.io/v1
kind: FeatureGate
metadata:
  name: cluster
spec:
  featureSet: "CustomNoUpgrade"
  customNoUpgrade:
    enabled:
      - GracefulNodeShutdown
      - APIPriorityAndFairness
      - RotateKubeletServerCertificate
      - SupportPodPidsLimit
      - NodeDisruptionExclusion
      - ServiceNodeExclusion
      - SCTPSupport
    disabled:
      - LegacyNodeRoleBehavior
      - RemoveSelfLink

Actual results:


Expected results:


Additional info:

Comment 2 Sunil Choudhary 2021-01-27 12:45:01 UTC
Verified on 4.7.0-0.nightly-2021-01-27-002938

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-01-27-002938   True        False         57m     Cluster version is 4.7.0-0.nightly-2021-01-27-002938

$ oc get featuregate cluster -o yaml
apiVersion: config.openshift.io/v1
kind: FeatureGate
metadata:
  annotations:
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
    release.openshift.io/create-only: "true"
  creationTimestamp: "2021-01-27T09:57:06Z"
  generation: 2
  managedFields:
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
          f:include.release.openshift.io/single-node-developer: {}
          f:release.openshift.io/create-only: {}
      f:spec: {}
    manager: cluster-version-operator
    operation: Update
    time: "2021-01-27T09:57:06Z"
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:customNoUpgrade:
          .: {}
          f:disabled: {}
          f:enabled: {}
        f:featureSet: {}
    manager: Mozilla
    operation: Update
    time: "2021-01-27T12:25:21Z"
  name: cluster
  resourceVersion: "67000"
  selfLink: /apis/config.openshift.io/v1/featuregates/cluster
  uid: 9d2dcf92-c93f-4d99-85f0-577fb0a063dd
spec:
  customNoUpgrade:
    disabled:
    - LegacyNodeRoleBehavior
    - RemoveSelfLink
    enabled:
    - GracefulNodeShutdown
    - APIPriorityAndFairness
    - RotateKubeletServerCertificate
    - SupportPodPidsLimit
    - NodeDisruptionExclusion
    - ServiceNodeExclusion
    - SCTPSupport
  featureSet: CustomNoUpgrade

Comment 5 errata-xmlrpc 2021-02-24 15:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.